
#
# Great Options Mod
# CvGreatOptionsEventManager
# 

from CvPythonExtensions import *
import CvUtil

import CvEventManager
import sys
import PyHelpers
import CvMainInterface
import CvScreensInterface
import CvNoNameGreatPersonRenamerModEventManager

gc = CyGlobalContext()
localText = CyTranslator()
PyPlayer = PyHelpers.PyPlayer
PyInfo = PyHelpers.PyInfo

# globals
###################################################
class CvGreatOptionsEventManager:

	parentEventManager = None

	def __init__(self, eventManager):
		# initialize base class
		self.parentEventManager = eventManager
		
		eventManager.addEventHandler("kbdEvent", self.onKbdEvent)
		eventManager.addEventHandler("windowActivation", self.onWindowActivation)

		#eventManager.addEventHandler("mouseEvent", self.onMouseEvent)

	def onMouseEvent(self, argsList):

		CyInterface().addImmediateMessage("%s" %(gc.getPlayer(0).getCapitalCity().getGreatPeopleRateModifier()),"")
	
	def onKbdEvent(self, argsList):
		'keypress handler - return 1 if the event was consumed'

		eventType,key,mx,my,px,py = argsList
			
		theKey=int(key)
		
		if (theKey == int(InputTypes.KB_F1) and self.parentEventManager.bAlt):
			CvScreensInterface.showGreatOptionsConfigInfoScreen()					

		return 0


	def onWindowActivation(self, argsList):
		'Called when the game window activates or deactivates'
		bActive = argsList[0]

		if(bActive):
			CvMainInterface.loadConfigurationData()
			CvNoNameGreatPersonRenamerModEventManager.loadConfigurationData()
			