#
# Military Bases Mod
# CvMilitaryBasesEventManager
# 

from CvPythonExtensions import *
import CvUtil

import CvEventManager
import sys
import PyHelpers
import CvMainInterface
import CvConfigParser
import MilitaryBasesUtils

gc = CyGlobalContext()
localText = CyTranslator()
PyPlayer = PyHelpers.PyPlayer
PyInfo = PyHelpers.PyInfo
militaryBasesUtils = MilitaryBasesUtils.MilitaryBasesUtils()


# globals
###################################################
class CvMilitaryBasesEventManager:
	def __init__(self, eventManager):
		# initialize base class

		eventManager.addEventHandler("cityDoTurn", self.onCityDoTurn)


	def onCityDoTurn(self, argsList):
		'City Production'
		objCity = argsList[0]
		iPlayer = argsList[1]

		# Go through each unit in the city, see if the unit is training, try to give them XP
		militaryBasesUtils.trainCityUnits(objCity)
		
		