## Sid Meier's Civilization 4
## Copyright Firaxis Games 2005
from CvPythonExtensions import *
#import Info as PyInfo
import CvUtil
import PyHelpers

gc = CyGlobalContext()

class HDomPyCity(PyHelpers.PyCity):
        def isGovernmentCenter(self):
                "bool - City is Government Center?"
                if self.city.isGovernmentCenter():
                        return True
                return False

	def getMilitaryHappinessUnits(self):
                "int - Number of units in City Garrison"
                return self.city.getMilitaryHappinessUnits()

	def isOccupation(self):
                return self.city.isOccupation()

        def isPower(self):
                "bool - does the city have any power plant"
                return self.city.isPower()

        def isDisorder(self):
                return self.city.isDisorder()

        def getFoodTurnsLeft(self):
                return self.city.getFoodTurnsLeft()

        def getOccupationTimer(self):
                "int - how many turns of occupation left"
                return self.city.getOccupationTimer()

        def isFoodProduction(self):
                "bool - is this city's production include food as well as shields"
                return self.city.isFoodProduction()

        def reallyGold(self):
                return self.city.getCommerceRate(0)
